Bug 8352 - CSS text-shadow does not repaint completely when changed
Summary: CSS text-shadow does not repaint completely when changed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://homepage.mac.com/dimitri008/li...
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-12 21:00 PDT by Dimitri Bouniol
Modified: 2006-04-19 19:30 PDT (History)
1 user (show)

See Also:


Attachments
Example of bug (14.64 KB, image/png)
2006-04-12 21:05 PDT, Dimitri Bouniol
no flags Details
Change RenderStyle::diff() to return Layout when shadow changes (3.00 KB, patch)
2006-04-19 02:00 PDT, mitz
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Bouniol 2006-04-12 21:00:42 PDT
The CSS property text-shadow applied to a .class:hover leaves some of the shadow on the view when the mouse exits the area.
URL Note: drag the mouse along the right side bar from bottom to top over the links to see the bug.
Comment 1 Dimitri Bouniol 2006-04-12 21:05:39 PDT
Created attachment 7665 [details]
Example of bug

Mouse is over the underlined link.
Comment 2 mitz 2006-04-13 04:25:11 PDT
The easy fix is to make RenderStyle::diff() return Layout for non-euqivalent text shadows. You can refine this to check if the shadows have different radii (defined as max (|offset| + blur)), so that hover effects that only change the shadow color will remain Repaint.
Comment 3 mitz 2006-04-19 02:00:26 PDT
Created attachment 7819 [details]
Change RenderStyle::diff() to return Layout when shadow changes
Comment 4 Dave Hyatt 2006-04-19 11:57:05 PDT
Comment on attachment 7819 [details]
Change RenderStyle::diff() to return Layout when shadow changes

r=me
Comment 5 Timothy Hatcher 2006-04-19 19:30:05 PDT
Landed in r13981.